Get a list of Tasks for my Company (GET)

Due to the complexity of structuring the filter object as a URL parameter array, you may prefer passing filter as part of a json body to a POST. To learn more about this see: https://docs.enerflo.io/docs/filtering-v3-tasks-all

Query Params
string
enum
Defaults to created_at

If provided, your results will be sorted by this field.

Allowed:
string
enum
Defaults to asc

Returns results ascending or descending based on the orderBy field.

Allowed:
string
enum
Defaults to 25

Controls the number of records returned in a single request. If no value is provided we'll attempt to return all results in a single response. (Note that if the response exceeds 512mb, the request will fail. Try reducing the pageSize value and if necessary, paginate through responses).

int32

Any positive integer value. If a request contains more records than the pageSize allows to be returned, then the page parameter may be used to paginate through a large reponse. For example, if a request contains 100 records and your pageSize is 25, then by providing a page value of 4, you can access records # 76 - 100.

string
enum
Defaults to and

Instructs the api how to apply logic if multiple filters are provided (ie filter[filters][0], filter[filters][1], etc).

Allowed:
string
enum

completed - Boolean: represented as true or false

completed_at - Datetime. This is the full timestamp of the date & time the task was completed, represented in UTC time.

When filtering on completed_at you can choose to pass just the date, or the full datetime value. If you pass just the date value, then the API assumes the timestamp of T00:00:00+00:00 (midnight UTC).
created_at - Datetime. This is the full timestamp of the date & time the task was created, represented in UTC time.

When filtering on created_at you can choose to pass just the date, or the full datetime value. If you pass just the date value, then the API assumes the timestamp of T00:00:00+00:00 (midnight UTC).

customer_id - Positive integer. This the ID of the customer/lead record that the task is associated with.

customer.first - String. This is the first name of the customer/lead.

customer.last - String. This is the last name of the customer/lead.

customer.name - String. This is the full name of the customer/lead. It is a custom or derived field which concatenantes customer.first & customer.last values. Some filtering operators may not work with calculated fields (namely the in operator.

due_date - Date (YYYY-MM-DD). This is the datestamp assigned by the user when the task is created. Because it bears no timezone association, most users think of dates in the context of the local timezone of the user.

user_id - Positive integer. This the ID of the user who owns the task and to whom the task is assigned.

string
enum

contains - The target field matches any part of the value you provide (case insensitive).

doesnotcontain - The target field does NOT match any part of the value you provide (case insensitive).

endswith - The last characters of the target field match the value you provide (case insensitive).

eq - Equal to.

gt - Greater than.

gte - Greater than or equal to.

in - In (accepts an array of inputs).

isempty - Is empty (ie, "").

isnotempty - Is not empty (ie, "").

isnotnull - Is not NULL.

isnotnullorempty - Is NOT either NULL or empty (ie, there is a non-null, non-empty value).

isnull - Is NULL.

isnullorempty - Is NULL or is empty.

lt - Less than. Note that while nulls are included in sorted list before any non-null values, if a comparison operation in performed, nulls are not included.

lte - Less than or equal to. *Same note regarding nulls.

neq - Not equal to.

startswith - The first characters of the target field match the value you provide (case insensitive).

string
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json